/*
 * splash
 */

#ifndef __SPLASH_H__
#define __SPLASH_H__
#include <linux/fb.h>


struct fb_data {
    int fb_handle;
    struct fb_fix_screeninfo fixed_screen_info;
    struct fb_var_screeninfo variable_screen_info;
    unsigned char *fb_buffer;
    int curent_page;
    int perform_flip;
};

struct image_header {
    unsigned int width;
    unsigned int height;
    unsigned int bpp;
};

#define IMAGE_ALIGN_TOP_LEFT 0
#define IMAGE_ALIGN_CENTER 1

int open_fb(struct fb_data *fb_d, char *fb_dev_name);
void close_fb(struct fb_data *fb_d);

void put_pixel(struct fb_data *fb_d, int x, int y, unsigned char red,
	       unsigned char green, unsigned char blue);

void draw_rle_file(struct fb_data *fb_d, char *name, int align, int upsidedown);

void flip(struct fb_data *fb_d);

#endif	/* __SPLASH_H__ */
